Bug 341811 - multiarch conflicts in kita
multiarch conflicts in kita
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kita (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:43 EDT by Bill Nottingham
Modified: 2014-03-16 23:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 22:00:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:43:23 EDT
kita (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/share/doc/HTML/en/kita/index.cache.bz2 from install of kita-0.177.3-11.fc8.1 conflicts with file from package kita-0.177.3-11.fc8.1

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Bill Nottingham 2007-10-22 15:43:18 EDT
This should really be solved in some way, even if it's just changing how the
package is organized.
Comment 2 Mamoru TASAKA 2007-10-22 22:00:42 EDT
Ask KDE. You can see many KDE apps are blocked by these types
of conflicts.
Please show us the solution first.
Comment 3 Bill Nottingham 2007-10-23 13:19:07 EDT
Why does the cache differ across arches? What is the format of the cache file?
Comment 4 Mamoru TASAKA 2007-10-23 13:40:32 EDT
(In reply to comment #3)
> Why does the cache differ across arches? 
For now I can only say "I don't know...".
I know this is created by
----------------------------------------------------------------
/usr/bin/meinproc --check --cache index.cache.bz2 ./index.docbook
----------------------------------------------------------------
which is very common for KDE apps. Here
index.docbook is in tarball, so actually meinproc does something.

> What is the format of the cache file?
This is bzip2-ed file of normal text (when I investigated).
But even after I bunzip2-ed the cache file, the original
texts actually differ. This contains very long lines and
currently I cannot find out where they differ.

Note You need to log in before you can comment on or make changes to this bug.